package betterquesting.api2.client.gui.resources.factories.textures;

import betterquesting.api.api.ApiReference;
import betterquesting.api.api.QuestingAPI;
import betterquesting.api.utils.JsonHelper;
import betterquesting.api2.client.gui.misc.GuiRectangle;
import betterquesting.api2.client.gui.resources.textures.IGuiTexture;
import betterquesting.api2.client.gui.resources.textures.SimpleTexture;
import betterquesting.api2.client.gui.resources.textures.SlideShowTexture;
import betterquesting.api2.client.gui.themes.IResourceReg;
import betterquesting.api2.client.gui.themes.presets.PresetTexture;
import betterquesting.api2.registry.IFactoryData;
import com.google.gson.JsonArray;
import com.google.gson.JsonElement;
import com.google.gson.JsonObject;
import java.util.ArrayList;
import java.util.Iterator;
import net.minecraft.util.ResourceLocation;

/* loaded from: betterquesting_api2_client_gui_resources_factories_textures.jar:betterquesting/api2/client/gui/resources/factories/textures/FactorySlideShowTexture.class */
public class FactorySlideShowTexture implements IFactoryData<IGuiTexture, JsonObject> {
    public static final FactorySlideShowTexture INSTANCE = new FactorySlideShowTexture();
    private static final ResourceLocation RES_ID = new ResourceLocation("betterquesting", "texture_slides");
    private static final IGuiTexture NULL_TX = new SimpleTexture(PresetTexture.TX_NULL, new GuiRectangle(0, 0, 16, 16)).maintainAspect(false);

    public SlideShowTexture loadFromData(JsonObject data) {
        ArrayList arrayList = new ArrayList();
        float interval = JsonHelper.GetNumber(data, "interval", Float.valueOf(1.0f)).floatValue();
        JsonArray jAry = JsonHelper.GetArray(data, "slides");
        Iterator it = jAry.iterator();
        while (it.hasNext()) {
            JsonElement je = (JsonElement) it.next();
            if (je.isJsonObject()) {
                JsonObject jo = je.getAsJsonObject();
                try {
                    IFactoryData<IGuiTexture, JsonObject> tFact = ((IResourceReg) QuestingAPI.getAPI(ApiReference.RESOURCE_REG)).getTexReg().getFactory(new ResourceLocation(JsonHelper.GetString(jo, "textureType", "null")));
                    arrayList.add(tFact.loadFromData(jo));
                } catch (Exception e) {
                    arrayList.add(NULL_TX);
                }
            }
        }
        return new SlideShowTexture(interval, (IGuiTexture[]) arrayList.toArray(new IGuiTexture[0]));
    }

    public ResourceLocation getRegistryName() {
        return RES_ID;
    }

    /* renamed from: createNew, reason: merged with bridge method [inline-methods] */
    public SlideShowTexture m9createNew() {
        return new SlideShowTexture(1.0f, new IGuiTexture[0]);
    }
}
